// pages/personCenter/mine/mine.js
const { baseUrl } = require("../../../request");

Page({

  /**
   * 页面的初始数据
   */
  data: {
    items: [null, null, null],
    cxz: "",
    nickName: "",
    userAvatar: "",
    phoneNumber: "",
    userAccount: "",
    invitationCode: "",
    currentBalance: "", // 当前余额
    withdrawalAmount: "",   // 提现中的余额
    withdrawnAmount: "",    // 已提现的余额
    totalIncome:""    // 累计收入
  },
  myteam(){
    wx.navigateTo({
      url: '/pages/personCenter/teamManage/teamManage',
    })
  },
  zhijin(){
    wx.navigateTo({
      url: '/pages/personCenter/billingDetails/billingDetails',
    })
  },
  mingxi(){
    wx.navigateTo({
      url: '/pages/personCenter/fundingDetails/fundingDetails',
    })
  },
  xiangmu(){
    wx.navigateTo({
      url: '/pages/projectModule/userProject/userProject',
    })
  },
  lxsj(){
    wx.navigateTo({
      url: '/pages/personCenter/contactSuper/contactSuper',
    })
  },
  zhshezhi(){
    wx.navigateTo({
      url: '/pages/personCenter/accountSetting/accountSetting',
    })
  },
  tixianzhanghu() {
    wx.navigateTo({
      url: '/pages/personCenter/withdrawalAccount/withdrawalAccount',
    })
  },
  lijitixian() {
    wx.navigateTo({
      url: '/pages/personCenter/withdrawal/withdrawal',
    })
  },
  szcy() {
    wx.navigateTo({
      url: '/pages/personCenter/commissionSetting/commissionSetting',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const token = wx.getStorageSync('token');

    // 获取用户主要信息
    wx.request({
      url: baseUrl + '/userInfo/get/main/jwt',
      method: 'GET',
      header: {
        Authorization: token
      },
      success: res => {
        if (res.data.code === 1) {
          this.setData({
            currentBalance: res.data.data.currentBalance,  // 当前余额
            withdrawalAmount: res.data.data.withdrawalAmount,   // 提现中的余额
            withdrawnAmount: res.data.data.withdrawnAmount,    // 已提现的余额
            totalIncome: res.data.data.totalIncome   // 累计收入
          })
        } else {
          wx.showToast({
            title: '获取个人信息失败',
            icon: 'none'
          })
        }
      },
      fail: () => {
        wx.showToast({ title: '网络错误，请重试', icon: 'none' });
      }
    })

    // 获取用户信息
    wx.request({
      url: baseUrl + '/userInfo/get/jwt',
      method: 'GET',
      header: {
        Authorization: token
      },
      success: res => {
        if (res.data.code === 1) {
          this.setData({
            nickName: res.data.data.nickName,
            // TODO  头像未连接
            userAvatar: res.data.data.userAvatar,
            phoneNumber: res.data.data.phoneNumber,
            userAccount: res.data.data.userAccount,
            invitationCode: res.data.data.invitationCode
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})